Package wx :: Package lib :: Package ogl :: Class ShapeRegion

[frames | no frames]

## Type ShapeRegion

    object --+
             |
            ShapeRegion

Object region.

Method Summary
| `__init__(self, region)`
| `ClearText(self)`
| `GetActualColourObject(self)`
| `GetActualPen(self)`
| `GetColour(self)`
| `GetFont(self)`
| `GetFormatMode(self)`
| `GetFormattedText(self)`
| `GetHeight(self)`
| `GetMinSize(self)`
| `GetName(self)`
| `GetPenColour(self)`
| `GetPenStyle(self)`
| `GetPosition(self)`
| `GetProportion(self)`
| `GetSize(self)`
| `GetText(self)`
| `GetWidth(self)`
| `SetColour(self, col)`
| `SetFont(self, f)`
| `SetFormatMode(self, mode)`
| `SetMinSize(self, w, h)`
| `SetName(self, s)`
| `SetPenColour(self, col)`
| `SetPenStyle(self, style)`
| `SetPosition(self, xp, yp)`
| `SetProportions(self, xp, yp)`
| `SetSize(self, w, h)`
| `SetText(self, s)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:41 2007 | http://epydoc.sf.net